Get a PV plan with its full planner document
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
GET
/v1/pv-plans/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Responses
200OK
idstringrequiredprojectIdstringrequirednamestringrequiredbuildingIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyoriginLatnumberrequiredoriginLngnumberrequiredoriginAddressstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyisFavoritebooleanrequiredsummaryobject | anyrequiredShow propertiesHide properties
Any of:
object
objectany
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredschemaVersionintegerrequiredmin -9007199254740991 · max 9007199254740991
payloadobjectrequiredRequest
curl -X GET "https://app.bauhow.com/api/v1/pv-plans/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://app.bauhow.com/api/v1/pv-plans/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://app.bauhow.com/api/v1/pv-plans/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"id": "string",
"projectId": "string",
"name": "string",
"buildingId": "string",
"originLat": 0,
"originLng": 0,
"originAddress": "string",
"isFavorite": true,
"summary": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"schemaVersion": 0,
"payload": {}
}